import request from '@/utils/request'
import { URL } from '@/config'

export function list(params) {
  return request({
    url: URL.shop.store.shipping.address.list,
    method: 'get',
    params,
  })
}

export function getAddressList(params) {
  return request({
    url: URL.shop.store.shipping.address.getAddressList,
    method: 'get',
    params,
  })
}

export function edit(data) {
  return request({
    url: URL.shop.store.shipping.address.edit,
    method: 'post',
    data,
  })
}

export function del(data) {
  return request({
    url: URL.shop.store.shipping.address.del,
    method: 'post',
    data,
  })
}
